List all DCR providers
GET /api/dcr_providers
GET /api/dcr_providersInteractive request editor loads with JavaScript.
Authorization
BearerAuth DeveloperIDHeader In: header
In: header
Query Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order resources by.
"updated_at"Value in
- "created_at"
- "updated_at"
Condition to search resources by.
Response Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/dcr_providers?search=version%253Dv2"{
"list": [
{
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"name": "string",
"provider_type": "oidc",
"issuer": "string"
}
],
"total": 1
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Internal server error.
Complete operation details and schema variants
GET /api/dcr_providers
List all DCR providers
Parameters
page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order resources by.search(query, string, optional): Condition to search resources by.
Responses
200:list(array, required): An array of DCR providers.list[].id(string, required): The object ID.list[].name(string, required): The name of the Dynamic Client Registration (DCR) Provider.list[].provider_type(string, optional): The type of DCR provider.list[].issuer(string, required): The issuer URL of the Authorization Server.total(integer, required): Total number of objects.400: Bad request.status(integer, required): The HTTP status code of the error response.message(string, required): The error message.401: Unauthorized. Response fields (application/json): identical toGET /api/dcr_providers, response 400 above.500: Internal server error.
cURL
curl -X GET '$API_BASE_URL/api/dcr_providers'